rem Guess WILLOW_HOME if not defined
if not "%WILLOW_HOME%" == "" goto gotHome
set WILLOW_HOME=.
if exist "%WILLOW_HOME%\bin\willow.bat" goto okHome
set WILLOW_HOME=..
:gotHome
if exist "%WILLOW_HOME%\bin\willow.bat" goto okHome
echo The WILLOW_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto end
:okHome

set CLASSPATH=%WILLOW_HOME%\common\lib\hsqldb.jar

rem -port port where the server is listening 
rem -database name of the database 
rem -silent <true/false> false means display all queries 
rem -trace <true/false> display print JDBC trace messages 

%JAVA_HOME%\bin\java org.hsqldb.Server 

:end

PAUSE
